/* ============================
   NEWSLETTER — TOTALMENTE ISOLADA
   ============================ */

.newsletter-bar{
  all: initial;
  display:block;
  width:100%;
  position:sticky;
  top:0;
  z-index:99999;
  /* background: linear-gradient(90deg, #3d143c 0%, #a23c68 50%, #1E0817 100%);;; */
  font-family:inherit;
}

.newsletter-bar *{
  all: unset;
  box-sizing:border-box;
  font-family:inherit;
}

.newsletter-bar__inner{
  justify-content: space-between;
  max-width:1100px;
  margin:0 auto;
  padding:20px 16px;
  display:flex;
  align-items:center;
  /* justify-content:space-between; */
  gap:14px;
}
@media screen and (max-width: 767px) {
  .newsletter-bar__inner{
    display: block;
    text-align: center;
  }
  .newsletter-bar__cta{
    margin-bottom: 32px;
    margin-top: 12px;
  }
}
.newsletter-bar__outer{
  display: block;
    border-top: 2px solid transparent;
    border-bottom: 5px solid transparent;
    border-image:linear-gradient(90deg, #3d143c 0%, #a23c68 50%, #1E0817 100%);; 
    border-image-slice: 1;
    opacity: 1;
    margin-top: 0;
    margin-bottom: 0;
}
.newsletter-bar__text{
  display:flex;
  flex-direction:column;
  gap:2px;
}

.newsletter-bar__title{
  background-image: linear-gradient(90deg, #3d143c 0%, #a23c68 50%, #1E0817 100%);;
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    color: transparent;
    text-decoration: none;
  font-weight:800;
  font-size:16px;
  line-height:1;
}

.newsletter-bar__subtitle{
  background-image: linear-gradient(90deg, #3d143c 0%, #a23c68 50%, #1E0817 100%);;
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    
    color: transparent;
    text-decoration: none;
  font-size:16px;
  font-weight: 800;
  opacity:.9;
  /* white-space:nowrap; */
}

.newsletter-bar__cta{
   border: 2px solid transparent;
    border-image:linear-gradient(90deg, #3d143c 0%, #a23c68 50%, #1E0817 100%);; 
    border-image-slice: 1;
  display: inline-flex;
  align-items: center;
  justify-content: center;

  background-color: #0d5efd; /* azul padrão moderno */
  color: #ffffff;

  font-size: 15px;
  font-weight: 600;
  text-transform: uppercase;

  padding: 8px 28px;
   border: none;
   border-radius: 32px;
  cursor: pointer;
  text-decoration: none;
  line-height: 1;
}

.newsletter-bar__cta:hover{
  filter:brightness(1.05);
}


.newsletter-bar__cta,
.newsletter-bar__cta:visited,
.newsletter-bar__cta:hover,
.newsletter-bar__cta:focus,
.newsletter-bar__cta:active {
  color: #111;
  background: linear-gradient(90deg, #3d143c 0%, #a23c68 50%, #1E0817 100%);;
  text-decoration: none;
  outline: none;
}


.newsletter-bar__cta,
.newsletter-bar__cta:visited,
.newsletter-bar__cta:hover,
.newsletter-bar__cta:focus,
.newsletter-bar__cta:active {
  background-image: linear-gradient(90deg, #3d143c 0%, #a23c68 50%, #1E0817 100%);;
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  color: transparent;
  text-decoration: none;
}

.news-button{
    z-index: 5;
    top: 130px;
    position: relative;
    left: 40.2rem;
    font-size: 19px;
    font-weight: 100;
}
@media screen and (max-width: 1900px) {
    .news-button{
        left: 70%;
        top: 140px;
    }
}
@media screen and (max-width: 600px) {
    .news-button{
        left: auto;
        top: 140px;
    }
    .news-button div{
      display: none;
    }
}
.news-button div{
    z-index: 5;
    background: #3f153d;
    height: 5px;
    width: 105px;
    margin-left: 15px;
}
.border-newsletter{
  margin-right: auto;
  background: #fff;
border: 3px solid transparent;
  border-radius: 31px;

  background:
    linear-gradient(#ffffff, #ffffff) padding-box,
    linear-gradient(
      90deg,
      rgba(94, 18, 92, 1) 0%,
      rgba(155, 57, 100, 1) 50%,
      rgba(94, 18, 92, 1) 100%
    ) border-box;
}

.newsletter-bar__cta:hover{
  filter: brightness(1.08);
  transform: translateY(-1px);
}